## org.codehaus.groovy.grails.web.util
Class StreamByteBuffer.StreamByteBufferChunk

    java.lang.Object
      org.codehaus.groovy.grails.web.util.StreamByteBuffer.StreamByteBufferChunk

Enclosing class:
  StreamByteBuffer

     class StreamByteBuffer.StreamByteBufferChunk

extends Object

Constructor Summary
`StreamByteBuffer.StreamByteBufferChunk(int size)`

Method Summary
`int` `bytesUnread()`
`int` `bytesUsed()`
`int` `read()`
`void` `read(byte[] b, int off, int len)`
`ByteBuffer` `readToNioBuffer()`
`void` `reset()`
`int` `spaceLeft()`
`boolean` `write(byte b)`
`void` `write(byte[] b, int off, int len)`
`void` `writeTo(OutputStream target)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamByteBuffer.StreamByteBufferChunk

    public StreamByteBuffer.StreamByteBufferChunk(int size)

Method Detail

### readToNioBuffer

    public ByteBuffer readToNioBuffer()

### write

    public boolean write(byte b)

### write

    public void write(byte[] b,
                      int off,
                      int len)

### read

    public void read(byte[] b,
                     int off,
                     int len)

### writeTo

    public void writeTo(OutputStream target)
                 throws IOException

  Throws:
    `IOException`

### reset

    public void reset()

### bytesUsed

    public int bytesUsed()

### bytesUnread

    public int bytesUnread()

### read

    public int read()

### spaceLeft

    public int spaceLeft()

Copyright (c) 2005-2009 The Grails project